import { Deserialize } from "../util/deserialize.model";
import { ServerModel } from "./server.model";

export class ServerTemplateModel extends ServerModel implements Deserialize {
  public templateColorR: number;
  public templateColorG: number;
  public templateColorB: number;

  deserialize(input: any): this {
    Object.assign(this, input);
    return this;
  }
}